# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['nonebot_plugin_docs', 'nonebot_plugin_docs.drivers']

package_data = \
{'': ['*'],
 'nonebot_plugin_docs': ['dist/*',
                         'dist/assets/css/*',
                         'dist/assets/images/*',
                         'dist/assets/js/*',
                         'dist/changelog/*',
                         'dist/docs/*',
                         'dist/docs/advanced/*',
                         'dist/docs/advanced/di/dependency-injection/*',
                         'dist/docs/advanced/di/overload/*',
                         'dist/docs/advanced/permission/*',
                         'dist/docs/advanced/publish-plugin/*',
                         'dist/docs/advanced/rule/*',
                         'dist/docs/advanced/runtime-hook/*',
                         'dist/docs/advanced/scheduler/*',
                         'dist/docs/advanced/unittest/*',
                         'dist/docs/advanced/unittest/test-adapters/*',
                         'dist/docs/advanced/unittest/test-matcher-operation/*',
                         'dist/docs/advanced/unittest/test-matcher/*',
                         'dist/docs/api/adapters/index/*',
                         'dist/docs/api/config/*',
                         'dist/docs/api/consts/*',
                         'dist/docs/api/dependencies/index/*',
                         'dist/docs/api/dependencies/utils/*',
                         'dist/docs/api/drivers/aiohttp/*',
                         'dist/docs/api/drivers/fastapi/*',
                         'dist/docs/api/drivers/httpx/*',
                         'dist/docs/api/drivers/index/*',
                         'dist/docs/api/drivers/quart/*',
                         'dist/docs/api/drivers/websockets/*',
                         'dist/docs/api/exception/*',
                         'dist/docs/api/index/*',
                         'dist/docs/api/log/*',
                         'dist/docs/api/matcher/*',
                         'dist/docs/api/message/*',
                         'dist/docs/api/params/*',
                         'dist/docs/api/permission/*',
                         'dist/docs/api/plugin/export/*',
                         'dist/docs/api/plugin/index/*',
                         'dist/docs/api/plugin/load/*',
                         'dist/docs/api/plugin/manager/*',
                         'dist/docs/api/plugin/on/*',
                         'dist/docs/api/plugin/plugin/*',
                         'dist/docs/api/rule/*',
                         'dist/docs/api/typing/*',
                         'dist/docs/api/utils/*',
                         'dist/docs/next/*',
                         'dist/docs/next/advanced/*',
                         'dist/docs/next/advanced/di/dependency-injection/*',
                         'dist/docs/next/advanced/di/overload/*',
                         'dist/docs/next/advanced/permission/*',
                         'dist/docs/next/advanced/publish-plugin/*',
                         'dist/docs/next/advanced/rule/*',
                         'dist/docs/next/advanced/runtime-hook/*',
                         'dist/docs/next/advanced/scheduler/*',
                         'dist/docs/next/advanced/unittest/*',
                         'dist/docs/next/advanced/unittest/test-adapters/*',
                         'dist/docs/next/advanced/unittest/test-matcher-operation/*',
                         'dist/docs/next/advanced/unittest/test-matcher/*',
                         'dist/docs/next/api/adapters/index/*',
                         'dist/docs/next/api/config/*',
                         'dist/docs/next/api/consts/*',
                         'dist/docs/next/api/dependencies/index/*',
                         'dist/docs/next/api/dependencies/utils/*',
                         'dist/docs/next/api/drivers/aiohttp/*',
                         'dist/docs/next/api/drivers/fastapi/*',
                         'dist/docs/next/api/drivers/httpx/*',
                         'dist/docs/next/api/drivers/index/*',
                         'dist/docs/next/api/drivers/quart/*',
                         'dist/docs/next/api/drivers/websockets/*',
                         'dist/docs/next/api/exception/*',
                         'dist/docs/next/api/index/*',
                         'dist/docs/next/api/log/*',
                         'dist/docs/next/api/matcher/*',
                         'dist/docs/next/api/message/*',
                         'dist/docs/next/api/params/*',
                         'dist/docs/next/api/permission/*',
                         'dist/docs/next/api/plugin/export/*',
                         'dist/docs/next/api/plugin/index/*',
                         'dist/docs/next/api/plugin/load/*',
                         'dist/docs/next/api/plugin/manager/*',
                         'dist/docs/next/api/plugin/on/*',
                         'dist/docs/next/api/plugin/plugin/*',
                         'dist/docs/next/api/rule/*',
                         'dist/docs/next/api/typing/*',
                         'dist/docs/next/api/utils/*',
                         'dist/docs/next/start/editor-support/*',
                         'dist/docs/next/start/install-adapter/*',
                         'dist/docs/next/start/install-driver/*',
                         'dist/docs/next/start/install-plugin/*',
                         'dist/docs/next/start/installation/*',
                         'dist/docs/next/start/nb-cli/*',
                         'dist/docs/next/start/question/*',
                         'dist/docs/next/tutorial/add-custom-api/*',
                         'dist/docs/next/tutorial/call-api/*',
                         'dist/docs/next/tutorial/choose-driver/*',
                         'dist/docs/next/tutorial/configuration/*',
                         'dist/docs/next/tutorial/create-project/*',
                         'dist/docs/next/tutorial/custom-logger/*',
                         'dist/docs/next/tutorial/deployment/*',
                         'dist/docs/next/tutorial/plugin/config-plugin/*',
                         'dist/docs/next/tutorial/plugin/create-handler/*',
                         'dist/docs/next/tutorial/plugin/create-matcher/*',
                         'dist/docs/next/tutorial/plugin/example/*',
                         'dist/docs/next/tutorial/plugin/introduction/*',
                         'dist/docs/next/tutorial/plugin/load-plugin/*',
                         'dist/docs/next/tutorial/plugin/matcher-operation/*',
                         'dist/docs/next/tutorial/process-message/*',
                         'dist/docs/next/tutorial/register-adapter/*',
                         'dist/docs/start/editor-support/*',
                         'dist/docs/start/install-adapter/*',
                         'dist/docs/start/install-driver/*',
                         'dist/docs/start/install-plugin/*',
                         'dist/docs/start/installation/*',
                         'dist/docs/start/nb-cli/*',
                         'dist/docs/start/question/*',
                         'dist/docs/tutorial/add-custom-api/*',
                         'dist/docs/tutorial/call-api/*',
                         'dist/docs/tutorial/choose-driver/*',
                         'dist/docs/tutorial/configuration/*',
                         'dist/docs/tutorial/create-project/*',
                         'dist/docs/tutorial/custom-logger/*',
                         'dist/docs/tutorial/deployment/*',
                         'dist/docs/tutorial/plugin/config-plugin/*',
                         'dist/docs/tutorial/plugin/create-handler/*',
                         'dist/docs/tutorial/plugin/create-matcher/*',
                         'dist/docs/tutorial/plugin/example/*',
                         'dist/docs/tutorial/plugin/introduction/*',
                         'dist/docs/tutorial/plugin/load-plugin/*',
                         'dist/docs/tutorial/plugin/matcher-operation/*',
                         'dist/docs/tutorial/process-message/*',
                         'dist/docs/tutorial/register-adapter/*',
                         'dist/icons/*',
                         'dist/img/*',
                         'dist/search/*',
                         'dist/store/*']}

install_requires = \
['nonebot2>=2.0.0-beta.1,<3.0.0']

setup_kwargs = {
    'name': 'nonebot-plugin-docs',
    'version': '2.0.0b4',
    'description': 'View NoneBot2 Docs Locally',
    'long_description': '<p align="center">\n  <a href="https://v2.nonebot.dev/"><img src="https://raw.githubusercontent.com/nonebot/nonebot2/master/docs/.vuepress/public/logo.png" width="200" height="200" alt="nonebot"></a>\n</p>\n\n<div align="center">\n\n# nonebot-plugin-docs\n\n_✨ NoneBot 本地文档插件 ✨_\n\n</div>\n\n<p align="center">\n  <a href="https://raw.githubusercontent.com/nonebot/nonebot2/master/LICENSE">\n    <img src="https://img.shields.io/github/license/nonebot/nonebot2.svg" alt="license">\n  </a>\n  <a href="https://pypi.python.org/pypi/nonebot-plugin-docs">\n    <img src="https://img.shields.io/pypi/v/nonebot-plugin-docs.svg" alt="pypi">\n  </a>\n  <img src="https://img.shields.io/badge/python-3.7+-blue.svg" alt="python">\n</p>\n\n## 使用方式\n\n加载插件并启动 Bot ，在浏览器内打开 `http://host:port/docs/`。\n\n具体网址会在控制台内输出。\n',
    'author': 'yanyongyu',
    'author_email': 'yyy@nonebot.dev',
    'maintainer': None,
    'maintainer_email': None,
    'url': 'https://github.com/nonebot/nonebot2/blob/master/packages/nonebot-plugin-docs',
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'python_requires': '>=3.7.3,<4.0.0',
}


setup(**setup_kwargs)
